## gsmlib 1.10+20120414.gita5e5ae9a

=== intl/Makefile ===
# Makefile for directory with message catalog handling in GNU NLS Utilities.
# Copyright (C) 1995, 1996, 1997 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

PACKAGE = gsmlib
VERSION = 1.10

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr/local
exec_prefix = ${prefix}
transform = s,x,x,
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = ${prefix}/share/gettext/intl
aliaspath = $(localedir):.
subdir = intl

INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_builddir)/scripts/mkinstalldirs

l = @l@

AR = ar
CC = gcc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
RANLIB = ranlib

DEFS = -DGNULOCALEDIR=\"$(gnulocaledir)\" \
-DLOCALE_ALIAS_PATH=\"$(aliaspath)\" -DHAVE_CONFIG_H
CPPFLAGS = 
CFLAGS = -D_REENTRANT -g -O2
LDFLAGS = 

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

HEADERS = $(COMHDRS) libgettext.h loadinfo.h
COMHDRS = gettext.h gettextP.h hash-string.h
SOURCES = $(COMSRCS) intl-compat.c cat-compat.c
COMSRCS = bindtextdom.c dcgettext.c dgettext.c gettext.c \
finddomain.c loadmsgcat.c localealias.c textdomain.c l10nflist.c \
explodename.c
OBJECTS =  bindtextdom.$lo dcgettext.$lo dgettext.$lo gettext.$lo \
finddomain.$lo loadmsgcat.$lo localealias.$lo textdomain.$lo l10nflist.$lo \
explodename.$lo
CATOBJS = cat-compat.$lo ../po/cat-id-tbl.$lo
GETTOBJS = intl-compat.$lo
DISTFILES.common = ChangeLog Makefile.in linux-msg.sed po2tbl.sed.in \
xopen-msg.sed $(HEADERS) $(SOURCES)
DISTFILES.normal = VERSION
DISTFILES.gettext = libintl.glibc intlh.inst.in

.SUFFIXES:
.SUFFIXES: .c .o .lo
.c.o:
	$(COMPILE) $<
.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) $<

INCLUDES = -I.. -I. -I$(top_srcdir)/intl -I$(top_srcdir)/lib

all: all-no

all-yes: libintl.$la intlh.inst
all-no:

libintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.la: $(OBJECTS)
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $@ $(OBJECTS) \
		   -version-info 1:0 -rpath $(libdir)

../po/cat-id-tbl.$lo: ../po/cat-id-tbl.c $(top_srcdir)/po/$(PACKAGE).pot
	cd ../po && $(MAKE) cat-id-tbl.$lo

check: all

# This installation goal is only used in GNU gettext.  Packages which
# only use the library should use install instead.

# We must not install the libintl.h/libintl.a files if we are on a
# system which has the gettext() function in its C library or in a
# separate library or use the catgets interface.  A special case is
# where configure found a previously installed GNU gettext library.
# If you want to use the one which comes with this version of the
# package, you have to use `configure --with-included-gettext'.
install: install-exec install-data
install-exec: all
	if test "$(PACKAGE)" = "gettext" \
	   && test '' = '$(GETTOBJS)'; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(libdir) $(includedir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(libdir) $(includedir); \
	  fi; \
	  $(INSTALL_DATA) intlh.inst $(includedir)/libintl.h; \
	  $(INSTALL_DATA) libintl.a $(libdir)/libintl.a; \
	else \
	  : ; \
	fi
install-data: all
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) VERSION $(gettextsrcdir)/VERSION; \
	  dists="$(DISTFILES.common)"; \
	  for file in $$dists; do \
	    $(INSTALL_DATA) $(srcdir)/$$file $(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	dists="$(DISTFILES.common)"; \
	for file in $$dists; do \
	  rm -f $(gettextsrcdir)/$$file; \
	done

info dvi:

$(OBJECTS): ../gsm_config.h libgettext.h
bindtextdom.$lo finddomain.$lo loadmsgcat.$lo: gettextP.h gettext.h loadinfo.h
dcgettext.$lo: gettextP.h gettext.h hash-string.h loadinfo.h

tags: TAGS

TAGS: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && etags -o $$here/TAGS $(HEADERS) $(SOURCES)

id: ID

ID: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && mkid -f$$here/ID $(HEADERS) $(SOURCES)


mostlyclean:
	rm -f *.a *.o *.lo core core.*

clean: mostlyclean

distclean: clean
	rm -f Makefile ID TAGS po2msg.sed po2tbl.sed

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."


# GNU gettext needs not contain the file `VERSION' but contains some
# other files which should not be distributed in other packages.
distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: Makefile $(DISTFILES)
	if test "$(PACKAGE)" = gettext; then \
	  additional="$(DISTFILES.gettext)"; \
	else \
	  additional="$(DISTFILES.normal)"; \
	fi; \
	for file in $(DISTFILES.common) $$additional; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

dist-libc:
	tar zcvf intl-glibc.tar.gz $(COMSRCS) $(COMHDRS) libintl.h.glibc

Makefile: Makefile.in ../config.status
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# The dependency for intlh.inst is different in gettext and all other
# packages.  Because we cannot you GNU make features we have to solve
# the problem while rewriting Makefile.in.
@GT_YES@intlh.inst: intlh.inst.in ../config.status
@GT_YES@	cd .. \
@GT_YES@	&& CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= \
@GT_YES@	  $(SHELL) ./config.status
@GT_NO@.PHONY: intlh.inst
@GT_NO@intlh.inst:

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## gsmlib 1.10%2B20120414.gita5e5ae9a

=== debian/control ===
Source: gsmlib
Section: comm
Priority: extra
Maintainer: Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev
Standards-Version: 3.9.4
Homepage: https://github.com/vbouchaud/gsmlib

Package: libgsmme-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgsmme1v5 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: Header files and static libraries for gsmlib
 Headers and static libraries for use when compiling programs with
 gsmlib.
 .
 gsmlib is a library for access to a GSM mobile phone using the
 standards ETSI GSM 07.07, ETSI GSM 07.05, and others.

Package: libgsmme1v5
Conflicts: libgsmme1, libgsmme1c102, libgsmme1c2, libgsmme1c2a
Replaces: libgsmme1c102, libgsmme1c2, libgsmme1c2a
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: GSM mobile phone access library
 Library to access GSM mobile phones through GSM modems or IrDA devices.
 Features include:
 .
  * modification of phone books stored in the mobile phone or on the
   SIM card
  * reading and writing of SMS messages stored in the mobile phone
  * sending and reception of SMS messages
 .
 gsmlib uses standard ETSI GSM 07.07, ETSI GSM 07.05, and others.

Package: gsm-utils
Section: comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: GSM mobile phone access applications
 Some simple command line programs to access a GSM mobile phone via
 GSM modem or IrDA.  Functions include: modification of phone books and
 reading, writing, sending and receiving SMS messages.  Uses the GSM
 standards ETSI GSM 07.07, ETSI GSM 07.05, and others.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	ln -s /usr/share/gettext/po/Makefile.in.in po/Makefile.in.in
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	cp contrib/gsmsmsspool contrib/gsmsmsrequeue debian/tmp/usr/bin

override_dh_auto_test:

.PHONY: override_dh_auto_install override_dh_auto_test override_dh_auto_configure

## gsmlib 1.10+20120414.gita5e5ae9a

=== debian/changelog ===
gsmlib (1.10+20120414.gita5e5ae9a-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Remove Section on gsm-utils that duplicates source.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Feb 2024 13:11:37 -0500

gsmlib (1.10+20120414.gita5e5ae9a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062182

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:31:45 +0000

gsmlib (1.10+20120414.gita5e5ae9a-2) unstable; urgency=medium

  * Refresh packaging:
  * debian/control: Bump Standards-Version to 4.6.0.
  * Apply wrap-and-sort -abst.
  * Bump debhelper compat to v13.
  * debian/rules: Modernize.
  * debian/control: Add Vcs-* fields.
  * debian/control: Make dev package depends on libc-dev, not libc6-dev.
  * debian/changelog: Remove trailing spaces.
  * debian/patches/0007-Avoid-AC_TRY_RUN: Add patch to fix FTCBFS.
    (Closes: #905958)
  * debian/patches/0008-reproducible-build: Add patch to make the
    build reproducible. (See #828066; more work needed)

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Nov 2021 11:54:26 -0500

gsmlib (1.10+20120414.gita5e5ae9a-1) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #996578)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Nov 2021 13:55:54 -0400

gsmlib (1.10+20120414.gita5e5ae9a-0.5) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/0006-autoconf-Enforce-c-14.patch: Circumvent
    FTBFS caused by -std=c++17 in gcc 11.
  * debian/control: Also build-depends on autoconf-archive for
    using AX_CHECK_COMPILE_FLAG macro.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Oct 2021 13:48:24 -0400

gsmlib (1.10+20120414.gita5e5ae9a-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace obsolete Priority: extra with Priority: optional.
  * Let gsm-utils depends on lsb-base (lintian error).
  * Apply patch from Ubuntu:

  [ Lukas Märdian ]
  * Add 'external' parameter to AM_GNU_GETTEXT (Closes: #978339)

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Oct 2021 13:40:35 -0400

gsmlib (1.10+20120414.gita5e5ae9a-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ 5 transition (see #791063)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 08 Aug 2015 14:35:16 +0100

gsmlib (1.10+20120414.gita5e5ae9a-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with newer gettext (Closes: #758501).
  * Update config.sub/config.guess.
  * Add an upstream patch to fix parseInt2.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 09 Oct 2014 13:24:02 +0200

gsmlib (1.10+20120414.gita5e5ae9a-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to the latest Git version by Vianney Bouchaud.
  * Use 3.0 (quilt) source package format.
  * Own the run subdirectory (Closes: #689891).
  * Don't remove the system user on package remove.
  * Fix init script (LP: #30228).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 15 Oct 2013 13:29:27 +0200

gsmlib (1.10-13.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix +CSMS response parsing: an argument can be zero-length (Closes: #602739).
  * Fix +COPS response parsing: additional numeric argument possible
    (Closes: #674856).
  * Migrate to /run.

 -- Andrew O. Shadura <bugzilla@tut.by>  Fri, 15 Jun 2012 11:10:39 +0200

gsmlib (1.10-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Binary from dependency was used in postrm script, violating the policy. Closes: #619697.

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sat, 16 Jun 2012 17:38:43 +0200

gsmlib (1.10-13) unstable; urgency=low

  * Ack NMU, Thanks Michael, Christoph & Petter
  * debian/control add Homepage:
  * Update debian/copyright; gsm-lib/COPYING actually specifies LGPL:
    - fixes lintian:copyright-without-copyright-notice
  * Update manpages fixes lintian:hyphen-used-as-minus-sign
  * Update debian/gsm-utils.init
    - fixes lintian:init.d-script-missing-lsb-short-description
  * Bug fixes from ubuntu
    - Don't install contrib/gsm-utils.init dh_installinit debian/gsm-utils.init
    - Create /var/run/gsm-utils
  * Add case 'L' to apps/gsmsmsd.cc - thks to Andrew Suffield
    - syslog support does not work (Closes: #346240)
  * gsm-utils.init really call restart with --stop first
    - init script calls --start twice (Closes: #377448)
  * Explictly set /bin/bash: gsmsmsspool & gsmsmsrequeue
    - bashism in /bin/sh script (Closes: #464981)
    - gsmsmsrequeue contains bashism or function error (Closes: #459396)
  * Patch apps/gsmsmsstore.cc - thks Isaac Wilcox
    - gsmsmsstore device existence check causes problems with RFCOMM
    devices (Closes: #340179)
  * Only start gsmsmsd if set in /etc/default/gsm-utils. crontab -> examples
    - gsmsmsd should be optional / start only if told so in
    /etc/default/gsm-utils (Closes: #474093)
  * Apply patch from Stefan Katerkamp & Jacob Nevins
    - Gsmsendsms fails with SonyEricsson W880 (fix included) (Closes:
    #413341)

 -- Mark Purcell <msp@debian.org>  Mon, 06 Oct 2008 15:01:49 +1100

gsmlib (1.10-12.5) unstable; urgency=low

  * Non-maintainer upload.
  * Yet another bashism that was later on reported on the old bug report, thus
    again closes: #464981
  * Also found a shell related problem in debian/rules and fixed it.
  * Bumped standard to 3.7.3.

 -- Michael Meskes <meskes@debian.org>  Mon, 14 Apr 2008 10:48:19 +0200

gsmlib (1.10-12.4) unstable; urgency=low

  * Non-maintainer upload.
  * Argh, somehow I mananged to upload without fixing the bug completely,
    sorry. Added those missing braces, closes: #464981.

 -- Michael Meskes <meskes@debian.org>  Wed, 09 Apr 2008 14:46:08 +0200

gsmlib (1.10-12.3) unstable; urgency=high

  * Non-maintainer upload.


=== debian/control ===
Source: gsmlib
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 autoconf-archive,
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://github.com/vbouchaud/gsmlib
Vcs-Git: https://salsa.debian.org/debian/gsmlib.git
Vcs-Browser: https://salsa.debian.org/debian/gsmlib

Package: gsm-utils
Architecture: any
Depends:
 adduser,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: GSM mobile phone access applications
 Some simple command line programs to access a GSM mobile phone via
 GSM modem or IrDA.  Functions include: modification of phone books and
 reading, writing, sending and receiving SMS messages.  Uses the GSM
 standards ETSI GSM 07.07, ETSI GSM 07.05, and others.

Package: libgsmme-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libc-dev,
 libgsmme1t64 (= ${binary:Version}),
 ${misc:Depends},
Description: Header files and static libraries for gsmlib
 Headers and static libraries for use when compiling programs with
 gsmlib.
 .
 gsmlib is a library for access to a GSM mobile phone using the
 standards ETSI GSM 07.07, ETSI GSM 07.05, and others.

Package: libgsmme1t64
Provides: ${t64:Provides}
X-Time64-Compat: libgsmme1v5
Breaks: libgsmme1v5 (<< ${source:Version})
Conflicts:
 libgsmme1,
 libgsmme1c102,
 libgsmme1c2,
 libgsmme1c2a,
Replaces:libgsmme1v5, 
 libgsmme1c102,
 libgsmme1c2,
 libgsmme1c2a,
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: GSM mobile phone access library
 Library to access GSM mobile phones through GSM modems or IrDA devices.
 Features include:
 .
  * modification of phone books stored in the mobile phone or on the
   SIM card
  * reading and writing of SMS messages stored in the mobile phone
  * sending and reception of SMS messages
 .
 gsmlib uses standard ETSI GSM 07.07, ETSI GSM 07.05, and others.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_before_dh_auto_configure:
	ln -s /usr/share/gettext/po/Makefile.in.in po/Makefile.in.in
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

override_dh_auto_test:

=== debian/watch ===
version=4
http://www.pxh.de/fs/gsmlib/download/content.html gsmlib-(.*)\.tar\.gz
